
#include <stdio.h>
#include <stdlib.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>

#include <Can_lib.h>

#define STDDEV "can1"

main(int argc,char **argv) {
int fd;
int i,sent;
canmsg_t tx[100];
char device[40];

    if(argc == 2) {
	sprintf(device, "/dev/%s", argv[1]);
    }
    else {
	sprintf(device, "/dev/%s", STDDEV);
    }
    printf("using CAN device %s\n", device);
    
    if(( fd = open(device, O_RDWR )) < 0 ) {
	fprintf(stderr,"Error opening CAN device %s\n", device);
        exit(1);
    }

    while(1){
      for(i=0;i<8;i++) {
	tx[i].id=1+(int)( 500.0*rand()/RAND_MAX+1.0 );
	sprintf( tx[i].data,"%dabcde",tx[i].id );
	printf("send: '%s' \n",tx[i].data);
	tx[i].length = strlen(tx[i].data);  
        if(tx[i].id == 500 || tx[i].id == 100 || tx[i].id == 200 )
	  tx[i].rtr = 1;

#if !FAST_1XMIT
       sent=write(fd, &tx[i], 1 ); 
      if(sent <= 0) {
	printf("not ready"); break;
      }	   
	 
#endif
      }
#ifdef FAST_1XMIT
       sent=write(fd, tx, 8 ); 
      if(sent <= 0) {
	printf("not ready"); break;
      }
#endif
    }

close(fd);


}
